Permalink
Browse files

Let's put it here now ..

  • Loading branch information...
1 parent 1d473dc commit 2b98bc3c500a39cc7d2377609b4bd48fce3153f4 @sikachu sikachu committed Dec 21, 2012
Showing with 8 additions and 4 deletions.
  1. +1 −0 Appraisals
  2. +2 −2 Gemfile.lock
  3. +3 −1 features/step_definitions/rails_steps.rb
  4. +1 −0 gemfiles/4.0.gemfile
  5. +1 −1 paperclip.gemspec
View
@@ -18,4 +18,5 @@ appraise "4.0" do
gem "activerecord-deprecated_finders",
:git => "git://github.com/rails/activerecord-deprecated_finders.git"
gem "paperclip", :path => "../"
+ gem "shoulda-context", :git => "git://github.com/caike/shoulda-context.git"
end
View
@@ -36,7 +36,7 @@ GEM
i18n (~> 0.6)
multi_json (~> 1.0)
addressable (2.3.2)
- appraisal (0.5.1)
+ appraisal (0.4.1)
bundler
rake
arel (3.0.2)
@@ -175,7 +175,7 @@ PLATFORMS
DEPENDENCIES
actionmailer
activerecord-jdbcsqlite3-adapter
- appraisal
+ appraisal (~> 0.4.1)
aruba
aws-sdk
bourne
@@ -6,13 +6,15 @@
And I write to "Gemfile" with:
"""
source "http://rubygems.org"
- gem "rails", "#{framework_version}"
+ gem "rails", "#{framework_version}", :github => "rails/rails"
gem "sqlite3", :platform => :ruby
gem "activerecord-jdbcsqlite3-adapter", :platform => :jruby
gem "jruby-openssl", :platform => :jruby
gem "capybara"
gem "gherkin"
gem "aws-sdk"
+ gem "activerecord-deprecated_finders", :github => "rails/activerecord-deprecated_finders"
+ gem "protected_attributes", :github => "rails/protected_attributes"
"""
And I configure the application to use "paperclip" from this project
And I reset Bundler environment variable
View
@@ -8,5 +8,6 @@ gem "sqlite3", :platform=>:ruby
gem "rails", :git=>"git://github.com/rails/rails.git"
gem "activerecord-deprecated_finders", :git=>"git://github.com/rails/activerecord-deprecated_finders.git"
gem "paperclip", :path=>"../"
+gem "shoulda-context", :git=>"git://github.com/caike/shoulda-context.git"
gemspec :path=>"../"
View
@@ -32,7 +32,7 @@ Gem::Specification.new do |s|
s.add_dependency('mime-types')
s.add_development_dependency('shoulda')
- s.add_development_dependency('appraisal')
+ s.add_development_dependency('appraisal', '~> 0.4.1')
s.add_development_dependency('mocha')
s.add_development_dependency('aws-sdk')
s.add_development_dependency('bourne')

0 comments on commit 2b98bc3

Please sign in to comment.